Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.aspectj.flow.operationCall
Class AbstractAspect

    java.lang.Object
      kieker.monitoring.probe.aspectj.AbstractAspectJProbe
          kieker.monitoring.probe.aspectj.flow.operationCall.AbstractAspect

All Implemented Interfaces:
  IMonitoringProbe

Direct Known Subclasses:
  Annotation, FullInstrumentation, FullInstrumentationNoGetterAndSetter

    public abstract class AbstractAspect

extends AbstractAspectJProbe

Since:
  1.5
Author:
  Jan Waller

Constructor Summary
`AbstractAspect()`

Method Summary
`Object` | `member2memberOperation(Object thisObject, Object targetObject, org.aspectj.lang.ProceedingJoinPoint thisJoinPoint, org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)`
`Object` | `member2staticOperation(Object thisObject, org.aspectj.lang.ProceedingJoinPoint thisJoinPoint, org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)`
`abstract void` | `monitoredOperation()` The pointcut for the monitored operations.
`Object` | `static2memberOperation(Object targetObject, org.aspectj.lang.ProceedingJoinPoint thisJoinPoint, org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)`
`Object` | `static2staticOperation(org.aspectj.lang.ProceedingJoinPoint thisJoinPoint, org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)`

Methods inherited from class kieker.monitoring.probe.aspectj.AbstractAspectJProbe
`getter, noGetterAndSetter, notWithinKieker, setter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAspect

    public AbstractAspect()

Method Detail

### monitoredOperation

    public abstract void monitoredOperation()

  The pointcut for the monitored operations. Inheriting classes should extend the pointcut in order to find the correct method calls (e.g. all methods or only methods with specific annotations).

### member2memberOperation

    public Object member2memberOperation(Object thisObject,
                                         Object targetObject,
                                         org.aspectj.lang.ProceedingJoinPoint thisJoinPoint,
                                         org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)
                                  throws Throwable

  Throws:
    `Throwable`

### static2memberOperation

    public Object static2memberOperation(Object targetObject,
                                         org.aspectj.lang.ProceedingJoinPoint thisJoinPoint,
                                         org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)
                                  throws Throwable

  Throws:
    `Throwable`

### member2staticOperation

    public Object member2staticOperation(Object thisObject,
                                         org.aspectj.lang.ProceedingJoinPoint thisJoinPoint,
                                         org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)
                                  throws Throwable

  Throws:
    `Throwable`

### static2staticOperation

    public Object static2staticOperation(org.aspectj.lang.ProceedingJoinPoint thisJoinPoint,
                                         org.aspectj.lang.JoinPoint.EnclosingStaticPart thisEnclosingJoinPoint)
                                  throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net